# Class PostDefendStatChangeAbAttr

#### Hierarchy (view full)

- PostDefendAbAttr
  - PostDefendStatChangeAbAttr

- Defined in src/data/ability.ts:620

#####
Index

### Constructors

constructor

### Properties

allOthers
condition
levels
selfTarget
showAbility
stat

### Methods

addCondition
apply
applyPostDefend
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostDefendStatChangeAbAttr(condition, stat, levels, selfTarget?, allOthers?): PostDefendStatChangeAbAttr

- #### Parameters

  - condition: PokemonDefendCondition
  - stat: BattleStat
  - levels: number
  - selfTarget: boolean = true
  - allOthers: boolean = false

  #### Returns PostDefendStatChangeAbAttr

  Overrides PostDefendAbAttr.constructor

  - Defined in src/data/ability.ts:627

## Properties

### `Private` allOthers

allOthers: boolean

- Defined in src/data/ability.ts:625

### `Private` condition

condition: PokemonDefendCondition

- Defined in src/data/ability.ts:621

### `Private` levels

levels: number

- Defined in src/data/ability.ts:623

### `Private` selfTarget

selfTarget: boolean

- Defined in src/data/ability.ts:624

### showAbility

showAbility: boolean

Inherited from PostDefendAbAttr.showAbility

- Defined in src/data/ability.ts:126

### `Private` stat

stat: BattleStat

- Defined in src/data/ability.ts:622

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostDefendAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostDefendAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostDefend

- applyPostDefend(pokemon, passive, attacker, move, hitResult, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - attacker: default
  - move: default
  - hitResult: HitResult
  - args: any[]

  #### Returns boolean

  Overrides PostDefendAbAttr.applyPostDefend

  - Defined in src/data/ability.ts:637

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostDefendAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostDefendAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137